package com.ssj.service.conch.curator.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

/**
 * @author Mount Liu
 * @date 2020/6/9
 */
public class AddBatchCorrectServiceReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipIdList", value = "学生vipId集合", required = true)
    private List<String> vipIdList;
    @ApiModelProperty(name = "classIdList", value = "班级id集合", required = true)
    private List<String> classIdList;
    @NotBlank
    @ApiModelProperty(name = "number", value = "数量", required = true)
    private Integer number;
    @NotBlank
    @ApiModelProperty(name = "priceType", value = "卡类型（C023:平台服务;C024:校区服务;）", required = true)
    private String priceType;
    @NotBlank
    @ApiModelProperty(name = "libId", value = "馆id", required = true)
    private String libId;

    public List<String> getVipIdList() {
        return vipIdList;
    }

    public void setVipIdList(List<String> vipIdList) {
        this.vipIdList = vipIdList;
    }

    public List<String> getClassIdList() {
        return classIdList;
    }

    public void setClassIdList(List<String> classIdList) {
        this.classIdList = classIdList;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }
}
